#ifndef __BGM_H__
#define __BGM_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "libgba/gba.h"

//---------------------------------------------------------------------------


//---------------------------------------------------------------------------

typedef struct {
	bool isLoop;
	u16  no;

} ST_BGM;




//---------------------------------------------------------------------------
EWRAM_CODE void BgmInit(void);
EWRAM_CODE void BgmDirect(u16 no, bool isLoop);
EWRAM_CODE void BgmPlay(u16 no, bool isLoop);
EWRAM_CODE void BgmPlayRestart(void);
EWRAM_CODE void BgmStop(void);

EWRAM_CODE bool BgmIsEnd(void);


#ifdef __cplusplus
}
#endif
#endif
