#ifndef __FILE_H__
#define __FILE_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "libgba/gba.h"

//---------------------------------------------------------------------------
#define FILE_MAX_SCO_CNT		69


//---------------------------------------------------------------------------

typedef struct {
	char* pStr;
} ST_FILE_SCO_TABLE;


//---------------------------------------------------------------------------
EWRAM_CODE void  FileInit(void);

EWRAM_CODE u8*   FileGetSco(u16 num);
EWRAM_CODE char* FileGetScoStr(u16 num);
EWRAM_CODE u8*   FileGetImg(u16 num);
EWRAM_CODE u8*   FileGetImgMask(u16 num);
EWRAM_CODE u8*   FileGetMus(u16 num);
EWRAM_CODE u8*   FileGetSe(u16 num);

EWRAM_CODE u32   FileGetSize(void);



#ifdef __cplusplus
}
#endif
#endif
