#ifndef __IMG_H__
#define __IMG_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "libgba/gba.h"

//---------------------------------------------------------------------------
#define IMG_MAX_CG_REG_CNT		2

// TODO 5, 22, 23, 32, 64 ͖

enum {
	IMG_EFFECT_03 = 3,			// PC΂㉺dˍ킹
	IMG_EFFECT_04 = 4,			// PC΂Edˍ킹
	IMG_EFFECT_05 = 5,			// s͗l
	IMG_EFFECT_06 = 6,			// UShbgubNO
	IMG_EFFECT_09 = 9,			// 킶SSij
	IMG_EFFECT_12 = 12,			// E
	IMG_EFFECT_14 = 14,			// と
	IMG_EFFECT_15 = 15,			// 
	IMG_EFFECT_16 = 16,			// cCL
	IMG_EFFECT_17 = 17,			// CL
	IMG_EFFECT_18 = 18,			// cCO
	IMG_EFFECT_20 = 20,			// CO
	IMG_EFFECT_22 = 22,			// 킶QQi傫j
	IMG_EFFECT_23 = 23,			// 킶QQij
	IMG_EFFECT_32 = 32,			// UCNNXtF[h
	IMG_EFFECT_64 = 64,			// tbVH
	IMG_EFFECT_NV_END,

	IMG_EFFECT_NORMAL = 500,	// P\
	IMG_EFFECT_OP,				// I[vjOXN[
	IMG_EFFECT_ED,				// GfBOXN[
	IMG_EFFECT_END,
};


//---------------------------------------------------------------------------

typedef struct {
	bool isDraw;

	u16  step;
	u16  wait;
	u16  waitCnt;

	u16  cgNo[IMG_MAX_CG_REG_CNT];
	u16  effectNo;

} ST_IMG;


typedef struct {
	u16 cx;
	u16 cy;
	u16 lzFlag;
	u16 dummy;
} __PACKED ST_IMG_HEADER;

//---------------------------------------------------------------------------
EWRAM_CODE void ImgInit(void);

EWRAM_CODE void ImgExec(void);
EWRAM_CODE void ImgExecBuf(void);
EWRAM_CODE void ImgExecEffect03(void);
EWRAM_CODE void ImgExecEffect04(void);
EWRAM_CODE void ImgExecEffect06(void);
EWRAM_CODE void ImgExecEffect09(void);
EWRAM_CODE void ImgExecEffect12(void);
EWRAM_CODE void ImgExecEffect14(void);
EWRAM_CODE void ImgExecEffect15(void);
EWRAM_CODE void ImgExecEffect16(void);
EWRAM_CODE void ImgExecEffect17(void);
EWRAM_CODE void ImgExecEffect18(void);
EWRAM_CODE void ImgExecEffect20(void);
EWRAM_CODE void ImgExecEffectNormal(void);
EWRAM_CODE void ImgExecEffectOp(void);
EWRAM_CODE void ImgExecEffectEd(void);

EWRAM_CODE void ImgDraw(u16 no);

EWRAM_CODE void ImgSetCg(u16 num, u16 no);
EWRAM_CODE void ImgSetEffect(u16 no, u16 wait);
EWRAM_CODE void ImgSetEffect2(u16 no, u16 wait);
EWRAM_CODE void ImgSetDraw(void);
EWRAM_CODE void ImgSetDrawClear(void);

EWRAM_CODE void ImgDirect(u16 no, u16 x, u16 y);
EWRAM_CODE void ImgDirect2(u16 no);
EWRAM_CODE bool ImgIsEnd(void);


#ifdef __cplusplus
}
#endif
#endif
