#include "se.h"
#include "libmy/snd.h"
#include "file.h"


//---------------------------------------------------------------------------
ST_SE Se;


//---------------------------------------------------------------------------
EWRAM_CODE void SeInit(void)
{
	_Memset(&Se, 0x00, sizeof(ST_SE));
}
//---------------------------------------------------------------------------
EWRAM_CODE void SePlay(u16 no, bool isLoop)
{
	u8* pDat = FileGetSe(no);
	u32 size = FileGetSize();

	SndSetData(pDat, size, -6, isLoop);
	SndPlay();

	Se.no = no;
	Se.isLoop = isLoop;
}
//---------------------------------------------------------------------------
EWRAM_CODE void SeStop(void)
{
	SndStop();
}
//---------------------------------------------------------------------------
EWRAM_CODE bool SeIsEnd(void)
{
	return SndIsEnd();
}
