#ifndef __NV2_H__
#define __NV2_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "libgba/gba.h"

//---------------------------------------------------------------------------


//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
IWRAM_CODE void NvExecParse(void);
IWRAM_CODE void NvExecParseMsg(void);
IWRAM_CODE void NvExecParseCmd(void);

IWRAM_CODE void NvExecParseAssign(void);
IWRAM_CODE void NvExecParsePageCall(void);
IWRAM_CODE void NvExecParseFor(void);
IWRAM_CODE void NvExecParseJump(void);
IWRAM_CODE void NvExecParseLabelCall(void);
IWRAM_CODE void NvExecParseIf(void);
IWRAM_CODE void NvExecParseLabelCallFar(void);
IWRAM_CODE void NvExecParseU(void);
IWRAM_CODE void NvExecParseY(void);

IWRAM_CODE void NvCalc(void);
IWRAM_CODE void NvCalcVar(void);
IWRAM_CODE u16  NvCalcGet(void);
IWRAM_CODE void NvCalcPush(u16 num);
IWRAM_CODE u16  NvCalcPop(void);

IWRAM_CODE void NvVarSet(u16 num, u16 val);
IWRAM_CODE u16  NvVarGet(u16 num);

IWRAM_CODE void NvSelPush(void);

IWRAM_CODE void NvCallPush(u16 no, u32 adr);
IWRAM_CODE void NvCallPush2(u16 no, u32 adr);
IWRAM_CODE void NvCallPushPatch(u16 no, u32 adr);
IWRAM_CODE void NvCallPop(void);
IWRAM_CODE void NvCallPopPatch(void);

IWRAM_CODE u16  NvCurU16(void);
IWRAM_CODE u32  NvCurU32(void);


#ifdef __cplusplus
}
#endif
#endif
